Package: org.gradle.tooling.events

## [Java] Interface FailureResult

- org.gradle.tooling.events.OperationResult

- All Superinterfaces:
    OperationResult

  Describes how an operation finished with failures.

  Since:
    2.4

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<? extends Failure>` | `getFailures()` Returns the failures that occurred while running the operation, if any.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface OperationResult` | `getEndTime, getStartTime`

- - ### Method Detail

    - #### public List<? extends Failure> getFailures()

      Returns the failures that occurred while running the operation, if any.

      Returns:
        the failures, empty if the operation failed without any specific failure information.